JS_OF_OCAML-LINK(1)

NAME

js_of_ocaml-link - Js_of_ocaml linker

SYNOPSIS

js_of_ocaml link [OPTION]… [JS_FILES]…

DESCRIPTION

js_of_ocaml-link is a JavaScript linker. It can concatenate multiple JavaScript files keeping sourcemap information.

ARGUMENTS

JS_FILES
    Link JavaScript files [JS_FILES].

OPTIONS

-a  Build a library (.cma.js file) with the js files (.cmo.js files) given on the command line. Similar to ocamlc -a.

--custom-header=VAL
    Provide a custom header for the generated JavaScript file, useful for making the script an executable file with #!/usr/bin/env node

--debug=SECTION
    enable debug [SECTION].

--debuginfo, --debug-info
    Output debug information.

--disable=OPT
    Disable optimization [OPT].

--enable=OPT
    Enable optimization [OPT].

--linkall
    Link all compilation units.

--no-sourcemap, --no-source-map
    Don't generate source map. All other source map related flags will be ignored.

--noinline, --no-inline
    Disable inlining.

-o FILE
    Set output file name to [FILE].

--pretty
    Pretty print the output.

-q, --quiet
    suppress non-error messages.

--resolve-sourcemap-url=VAL (absent=false)
    Resolve source map url.

--source-map-inline
    Inline sourcemap in the generated JavaScript.

--source-map-root=VAL
    root dir for source map.

--sourcemap, --source-map
    Generate source map.

--toplevel
    Compile a toplevel.

--Werror
    turn all warnings into errors.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

js_of_ocaml link exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

BUGS

Bugs are tracked on github at https://github.com/ocsigen/js_of_ocaml/issues.

SEE ALSO

ocaml(1)

js_of_ocaml(1)

AUTHORS

Jerome Vouillon, Hugo Heuzard.

LICENSE

Copyright (C) 2010-2020.

js_of_ocaml is free software, you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, with linking exception; either version 2.1 of the License, or (at your option) any later version.